Bug 434393 - ginac failed massrebuild attempt for GCC 4.3
ginac failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ginac (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Quentin Spencer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 11:08 EST by Jesse Keating
Modified: 2013-01-09 22:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-02 06:45:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 11:08:18 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=443741
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Alex Lancaster 2008-02-28 05:50:06 EST
Confirming that this is indeed problem introduced with GCC 4.3 itself and not a
buildroot issue.  The error is:

"error: explicit template specialization cannot have a storage class"

According to http://gcc.gnu.org/gcc-4.3/porting_to.html this is easy to fix (see
the page), but it needs a patch and somebody to get it added upstream.

This needs to be done ASAP as ginac not building also blocks octave-forge and
perhaps other packages, and a freeze is coming up next week.
Comment 2 Alex Lancaster 2008-03-02 06:45:27 EST
Successfully rebuilt:

http://koji.fedoraproject.org/koji/buildinfo?buildID=40745

* Sun Mar  2 2008 Alex Lancaster <alexlan> - 1.4.1-4
- Patch for building with GCC 4.3 (this has been applied upstream and so
  can be dropped in the next release of ginac).

Will rebuild octave-forge against this new ginac once repo updates.

Note You need to log in before you can comment on or make changes to this bug.